# Split an invoice Splits a draft invoice into 2 to 20 invoices based on specified amounts or percentages. The source invoice must be in Draft status. For amount-based splits, the sum of all split amounts must exactly equal the original invoice total, and each split amount must be at least the minimum currency unit. For percentage-based splits, the sum of all split percentages must be exactly 100, up to 9 decimal places. Zuora distributes charges, discounts, tax amounts, and tax-exempt amounts proportionally across split invoices and uses a Largest Remainder algorithm to ensure precise rounding at both the line and invoice levels. In exclusive-tax mode, split amounts can be specified excluding tax, with tax calculated at posting, or including tax when draft tax is calculated. In inclusive-tax mode, split amounts always represent tax-inclusive invoice totals, with embedded tax distributed proportionally. For invoices with a large number of invoice items, this operation might be processed asynchronously. Use the jobStatus field in the response to determine the job status: - If jobStatus is Completed, the operation has finished and the response contains the result. - If jobStatus is Pending, the operation is still in progress, and you must retrieve the job status later to confirm completion. Endpoint: PUT /v1/invoices/{invoiceKey}/split Version: 2026-05-08 Security: bearerAuth ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Path parameters: - `invoiceKey` (string, required) The ID or number of the invoice. For example, 2c92c8955bd63cc1015bd7c151af02ab or INV-0000001. ## Request fields (application/json): - `splitType` (string) How the split is calculated. Enum: "Percentage", "Amount" - `splits` (array) Array of split configurations. Example: [{"splitAmount":50,"invoiceDate":"2026-02-01","paymentTerm":"Due Upon Receipt"},{"splitAmount":80,"invoiceDate":"2026-02-15","paymentTerm":"Net 30"}] - `splits.splitAmount` (number) Target invoice total amount (including tax) for this split invoice. Required when splitType is Amount. The sum of all splitAmount values must exactly equal the original invoice total. Each value must be at least the minimum currency unit (for example, 0.01 for USD, 1 for JPY). - `splits.splitPercentage` (number) Percentage of the original invoice total for this split invoice. Required when splitType is Percentage. The sum of all splitPercentage values must be exactly 100.000000000. - `splits.invoiceDate` (string) Date for the new invoice in YYYY-MM-DD format. Defaults to the original invoice date if not specified. - `splits.paymentTerm` (string) Payment term name for this split invoice (for example, Due Upon Receipt, Net 30). Must be a valid active payment term on the account. ## Response 200 fields (application/json): - `success` (boolean) Indicates whether the request was successful. - `id` (string) Unique identifier for the request. - `jobId` (string) Identifier of the async job. - `jobStatus` (string) Status of the job. For invoices with a large number of invoice items, this operation might run asynchronously. In this case, the response includes jobId and jobStatus. The jobId identifies the operation job, and jobStatus indicates whether the operation is Completed or Pending. If jobStatus is Pending, use the "Retrieve an operation job" operation to check the job status until the operation is complete. Enum: "Pending", "Processing", "Failed", "Completed" - `invoices` (array) List of generated invoices. - `invoices.id` (string) Invoice ID. - `invoices.invoiceNumber` (string) Invoice number. - `invoices.invoiceDate` (string) Invoice date in YYYY-MM-DD format. - `invoices.amount` (number) Invoice amount. ## Response 500 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Notification definition with id 6e569e1e05f040eda51a927b140c0ac1 does not exist"}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response ## Response 4XX fields (application/json): - `processId` (string) The ID of the process that handles the operation. - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) Unique identifier of the request. - `success` (boolean) Indicates whether the call succeeded.